org.jgrapht.ext

## Interface EdgeProvider<V,E>

- Type Parameters:
    `V` - the type of vertex being linked.
    `E` - the type of edge being created.

      public interface EdgeProvider<V,E>

  Defines a provider of edges of type E

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `buildEdge(V from, V to, String label, Map<String,String> attributes)` Construct an edge

- - ### Method Detail

    - #### buildEdge

          E buildEdge(V from,
                    V to,
                    String label,
                    Map<String,String> attributes)

      Construct an edge
      Parameters:
        `from` - the source vertex
        `to` - the target vertex
        `label` - the label of the edge.
        `attributes` - extra attributes for the edge.
      Returns:
        the edge.

Copyright © 2016. All rights reserved.